Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.view.menu
Class Menu

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JMenuBar
                      infomat.view.menu.Menu

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.MenuElement

    public class Menu

extends javax.swing.JMenuBar
implements java.awt.event.ActionListener

Responsible for the menu. Set it up and listen for events.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JMenuBar
`javax.swing.JMenuBar.AccessibleJMenuBar`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private static java.lang.String` | `ABOUT`
`private static java.lang.String` | `ALGORITHMS`
`private static java.lang.String` | `CLUSTERINGALGORITHMS`
`private static java.lang.String` | `COLOURING`
`private static java.lang.String` | `EVALUATION`
`private static java.lang.String` | `EXIT`
`private static java.lang.String` | `EXPORTTEXT`
`private static java.lang.String` | `FILE`
`private javax.swing.JFileChooser` | `fileChooser`
`private java.lang.String` | `fileChooserPath`
`private static java.lang.String` | `FILTERMATRIX`
`private static java.lang.String` | `GRIDCOLUMN`
`private static java.lang.String` | `GRIDROW`
`private static java.lang.String` | `GROUPINGPANELONOFF`
`private static java.lang.String` | `GUIDE`
`private static java.lang.String` | `HELP`
`private static java.lang.String` | `IMAGE`
`private javax.swing.JFileChooser` | `imgFileChooser`
`private InfomatModel` | `infomatModel`
`private InfomatView` | `infomatView`
`private static java.lang.String` | `INVERTMATRIX`
`private MainWindow` | `mainWindow`
`private static java.lang.String` | `MANUAL`
`private static java.lang.String` | `MATRIXSUMMARY`
`private static java.lang.String` | `MOVE`
`private static java.lang.String` | `OPENCORPUSFILE`
`private static java.lang.String` | `OPENDOCUMENTGROUPINGFILE`
`private static java.lang.String` | `OPENMATRIXFILE`
`private static java.lang.String` | `OPENRIFILE`
`private static java.lang.String` | `OPENTOKENFILETEXTWORD`
`private static java.lang.String` | `OVERVIEWONOFF`
`private static java.lang.String` | `PIXELINFOONOFF`
`private static java.lang.String` | `PIXELSELECTION`
`private boolean` | `printOn`
`private static java.lang.String` | `PROPERTIES`
`private static java.lang.String` | `PURGEMATRIX`
`private static java.lang.String` | `REMOVE_COLUMNS`
`private static java.lang.String` | `REMOVE_ROWS`
`private static java.lang.String` | `RESET`
`private static java.lang.String` | `SAVEMATRIXFILE`
`private static java.lang.String` | `SAVEMATRIXPICTURE`
`private static java.lang.String` | `SIMILARITYONOFF`
`private static java.lang.String` | `SORTER`
`private static java.lang.String` | `STOPLIST`
`private ToolbarController` | `toolbarController`
`private static java.lang.String` | `TOOLBARONOFF`
`private static java.lang.String` | `TOOLS`
`private TracePrinter` | `tp`
`private static java.lang.String` | `WEIGHTMATRIX`
`private static java.lang.String` | `WINDOWS`
`private static java.lang.String` | `ZOOMSELECTION`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, SOMEBITS, WIDTH`

Constructor Summary
`Menu(MainWindow frame, InfomatModel infoModel, ToolbarController toolbarController, InfomatView infomatView)` Create the menu.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`

Methods inherited from class javax.swing.JMenuBar
`add, addNotify, getAccessibleContext, getComponent, getComponentAtIndex, getComponentIndex, getHelpMenu, getMargin, getMenu, getMenuCount, getSelectionModel, getSubElements, getUI, getUIClassID, isBorderPainted, isSelected, menuSelectionChanged, paintBorder, paramString, processKeyBinding, processKeyEvent, processMouseEvent, removeNotify, setBorderPainted, setHelpMenu, setMargin, setSelected, setSelectionModel, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mainWindow

    private MainWindow mainWindow

### infomatModel

    private InfomatModel infomatModel

### FILE

    private static final java.lang.String FILE

See Also:
  Constant Field Values

### OPENMATRIXFILE

    private static final java.lang.String OPENMATRIXFILE

See Also:
  Constant Field Values

### SAVEMATRIXFILE

    private static final java.lang.String SAVEMATRIXFILE

See Also:
  Constant Field Values

### OPENRIFILE

    private static final java.lang.String OPENRIFILE

See Also:
  Constant Field Values

### OPENTOKENFILETEXTWORD

    private static final java.lang.String OPENTOKENFILETEXTWORD

See Also:
  Constant Field Values

### OPENCORPUSFILE

    private static final java.lang.String OPENCORPUSFILE

See Also:
  Constant Field Values

### OPENDOCUMENTGROUPINGFILE

    private static final java.lang.String OPENDOCUMENTGROUPINGFILE

See Also:
  Constant Field Values

### SAVEMATRIXPICTURE

    private static final java.lang.String SAVEMATRIXPICTURE

See Also:
  Constant Field Values

### PROPERTIES

    private static final java.lang.String PROPERTIES

See Also:
  Constant Field Values

### EXIT

    private static final java.lang.String EXIT

See Also:
  Constant Field Values

### IMAGE

    private static final java.lang.String IMAGE

See Also:
  Constant Field Values

### COLOURING

    private static final java.lang.String COLOURING

See Also:
  Constant Field Values

### GRIDCOLUMN

    private static final java.lang.String GRIDCOLUMN

See Also:
  Constant Field Values

### GRIDROW

    private static final java.lang.String GRIDROW

See Also:
  Constant Field Values

### GUIDE

    private static final java.lang.String GUIDE

See Also:
  Constant Field Values

### REMOVE_COLUMNS

    private static final java.lang.String REMOVE_COLUMNS

See Also:
  Constant Field Values

### REMOVE_ROWS

    private static final java.lang.String REMOVE_ROWS

See Also:
  Constant Field Values

### PIXELSELECTION

    private static final java.lang.String PIXELSELECTION

See Also:
  Constant Field Values

### MOVE

    private static final java.lang.String MOVE

See Also:
  Constant Field Values

### ZOOMSELECTION

    private static final java.lang.String ZOOMSELECTION

See Also:
  Constant Field Values

### RESET

    private static final java.lang.String RESET

See Also:
  Constant Field Values

### WINDOWS

    private static final java.lang.String WINDOWS

See Also:
  Constant Field Values

### TOOLBARONOFF

    private static final java.lang.String TOOLBARONOFF

See Also:
  Constant Field Values

### GROUPINGPANELONOFF

    private static final java.lang.String GROUPINGPANELONOFF

See Also:
  Constant Field Values

### OVERVIEWONOFF

    private static final java.lang.String OVERVIEWONOFF

See Also:
  Constant Field Values

### PIXELINFOONOFF

    private static final java.lang.String PIXELINFOONOFF

See Also:
  Constant Field Values

### SIMILARITYONOFF

    private static final java.lang.String SIMILARITYONOFF

See Also:
  Constant Field Values

### TOOLS

    private static final java.lang.String TOOLS

See Also:
  Constant Field Values

### INVERTMATRIX

    private static final java.lang.String INVERTMATRIX

See Also:
  Constant Field Values

### PURGEMATRIX

    private static final java.lang.String PURGEMATRIX

See Also:
  Constant Field Values

### EVALUATION

    private static final java.lang.String EVALUATION

See Also:
  Constant Field Values

### MATRIXSUMMARY

    private static final java.lang.String MATRIXSUMMARY

See Also:
  Constant Field Values

### EXPORTTEXT

    private static final java.lang.String EXPORTTEXT

See Also:
  Constant Field Values

### STOPLIST

    private static final java.lang.String STOPLIST

See Also:
  Constant Field Values

### ALGORITHMS

    private static final java.lang.String ALGORITHMS

See Also:
  Constant Field Values

### CLUSTERINGALGORITHMS

    private static final java.lang.String CLUSTERINGALGORITHMS

See Also:
  Constant Field Values

### SORTER

    private static final java.lang.String SORTER

See Also:
  Constant Field Values

### FILTERMATRIX

    private static final java.lang.String FILTERMATRIX

See Also:
  Constant Field Values

### WEIGHTMATRIX

    private static final java.lang.String WEIGHTMATRIX

See Also:
  Constant Field Values

### HELP

    private static final java.lang.String HELP

See Also:
  Constant Field Values

### ABOUT

    private static final java.lang.String ABOUT

See Also:
  Constant Field Values

### MANUAL

    private static final java.lang.String MANUAL

See Also:
  Constant Field Values

### toolbarController

    private ToolbarController toolbarController

### infomatView

    private InfomatView infomatView

### fileChooser

    private javax.swing.JFileChooser fileChooser

### imgFileChooser

    private javax.swing.JFileChooser imgFileChooser

### fileChooserPath

    private java.lang.String fileChooserPath

### printOn

    private boolean printOn

### tp

    private TracePrinter tp

Constructor Detail

### Menu

    public Menu(MainWindow frame,
                InfomatModel infoModel,
                ToolbarController toolbarController,
                InfomatView infomatView)

  Create the menu.

  Parameters:
    `frame` - The frame to dispose on exit.

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD